Altibase.jdbc.driver.sharding.core

## Interface InternalShardingCallableStatement

All Superinterfaces:
  InternalShardingPreparedStatement, InternalShardingStatement

All Known Implementing Classes:
  DataNodeShardingCallableStatement, ServerSideShardingCallableStatement

    public interface InternalShardingCallableStatement
    extends InternalShardingPreparedStatement

ServerSide 또는 ClientSide에서 공통적으로 실행되는 java.sql.CallableStatement 인터페이스 모음

### Method Summary

All Methods Instance Methods Abstract Methods
`java.math.BigDecimal` `getBigDecimal(int aParameterIndex)`
`java.math.BigDecimal` `getBigDecimal(int aParameterIndex, int aScale)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String aParameterName)`
`java.sql.Blob` `getBlob(int aParameterIndex)`
`java.sql.Blob` `getBlob(java.lang.String aParameterName)`
`boolean` `getBoolean(int aParameterIndex)`
`boolean` `getBoolean(java.lang.String aParameterName)`
`byte` `getByte(int aParameterIndex)`
`byte` `getByte(java.lang.String aParameterName)`
`byte[]` `getBytes(int aParameterIndex)`
`byte[]` `getBytes(java.lang.String aParameterName)`
`java.sql.Clob` `getClob(int aParameterIndex)`
`java.sql.Clob` `getClob(java.lang.String aParameterName)`
`java.sql.Date` `getDate(int aParameterIndex)`
`java.sql.Date` `getDate(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Date` `getDate(java.lang.String aParameterName)`
`java.sql.Date` `getDate(java.lang.String aParameterName, java.util.Calendar aCal)`
`double` `getDouble(int aParameterIndex)`
`double` `getDouble(java.lang.String aParameterName)`
`float` `getFloat(int aParameterIndex)`
`float` `getFloat(java.lang.String aParameterName)`
`int` `getInt(int aParameterIndex)`
`int` `getInt(java.lang.String aParameterName)`
`long` `getLong(int aParameterIndex)`
`long` `getLong(java.lang.String aParameterName)`
`java.lang.Object` `getObject(int aParameterIndex)`
`java.lang.Object` `getObject(java.lang.String aParameterName)`
`short` `getShort(int aParameterIndex)`
`short` `getShort(java.lang.String aParameterName)`
`java.lang.String` `getString(int aParameterIndex)`
`java.lang.String` `getString(java.lang.String aParameterName)`
`java.sql.Time` `getTime(int aParameterIndex)`
`java.sql.Time` `getTime(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Time` `getTime(java.lang.String aParameterName)`
`java.sql.Time` `getTime(java.lang.String aParameterName, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(int aParameterIndex)`
`java.sql.Timestamp` `getTimestamp(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aParameterName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aParameterName, java.util.Calendar aCal)`
`boolean` `wasNull()`

### Methods inherited from interface Altibase.jdbc.driver.sharding.core.InternalShardingPreparedStatement

`addBatch, clearBatch, clearParameters, execute, executeBatch, executeQuery, executeUpdate, getMetaData, getParameterMetaData, rePrepare, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp`

### Methods inherited from interface Altibase.jdbc.driver.sharding.core.InternalShardingStatement

`cancel, clearForGeneratedKeys, clearWarnings, close, getConnection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getUpdateCount, getWarnings, hasNoData, isPrepared, makeQstrForGeneratedKeys, setCursorName, setEscapeProcessing, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

### Method Detail

#### wasNull

    boolean wasNull()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getString

    java.lang.String getString(int aParameterIndex)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBoolean

    boolean getBoolean(int aParameterIndex)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getByte

    byte getByte(int aParameterIndex)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getShort

    short getShort(int aParameterIndex)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getInt

    int getInt(int aParameterIndex)
        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getLong

    long getLong(int aParameterIndex)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getFloat

    float getFloat(int aParameterIndex)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDouble

    double getDouble(int aParameterIndex)
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBigDecimal

    java.math.BigDecimal getBigDecimal(int aParameterIndex,
                                       int aScale)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBytes

    byte[] getBytes(int aParameterIndex)
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDate

    java.sql.Date getDate(int aParameterIndex)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTime

    java.sql.Time getTime(int aParameterIndex)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTimestamp

    java.sql.Timestamp getTimestamp(int aParameterIndex)
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getObject

    java.lang.Object getObject(int aParameterIndex)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBigDecimal

    java.math.BigDecimal getBigDecimal(int aParameterIndex)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBlob

    java.sql.Blob getBlob(int aParameterIndex)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getClob

    java.sql.Clob getClob(int aParameterIndex)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDate

    java.sql.Date getDate(int aParameterIndex,
                          java.util.Calendar aCal)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTime

    java.sql.Time getTime(int aParameterIndex,
                          java.util.Calendar aCal)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTimestamp

    java.sql.Timestamp getTimestamp(int aParameterIndex,
                                    java.util.Calendar aCal)
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getString

    java.lang.String getString(java.lang.String aParameterName)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBoolean

    boolean getBoolean(java.lang.String aParameterName)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getByte

    byte getByte(java.lang.String aParameterName)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getShort

    short getShort(java.lang.String aParameterName)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getInt

    int getInt(java.lang.String aParameterName)
        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getLong

    long getLong(java.lang.String aParameterName)
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getFloat

    float getFloat(java.lang.String aParameterName)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDouble

    double getDouble(java.lang.String aParameterName)
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBytes

    byte[] getBytes(java.lang.String aParameterName)
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDate

    java.sql.Date getDate(java.lang.String aParameterName)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTime

    java.sql.Time getTime(java.lang.String aParameterName)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTimestamp

    java.sql.Timestamp getTimestamp(java.lang.String aParameterName)
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getObject

    java.lang.Object getObject(java.lang.String aParameterName)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBigDecimal

    java.math.BigDecimal getBigDecimal(java.lang.String aParameterName)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBlob

    java.sql.Blob getBlob(java.lang.String aParameterName)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getClob

    java.sql.Clob getClob(java.lang.String aParameterName)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDate

    java.sql.Date getDate(java.lang.String aParameterName,
                          java.util.Calendar aCal)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTime

    java.sql.Time getTime(java.lang.String aParameterName,
                          java.util.Calendar aCal)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTimestamp

    java.sql.Timestamp getTimestamp(java.lang.String aParameterName,
                                    java.util.Calendar aCal)
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`